worker_processes 1;
error_log logs/rtmp_error.log debug;
pid logs/nginx.pid;
events
{
	worker_connections 1024;
}
http
{
	allow all;
	deny all;
	access_log logs/rtmp_access.log;
	include mime.types;
	default_type application/octet-stream;
	sendfile on;
	keepalive_timeout 65;
	server
	{
		listen 80;
		server_name localhost;
		# rtmp stat
		location /stat
		{
			rtmp_stat all;
			rtmp_stat_stylesheet stat.xsl;
		}

		location /stat.xsl
		{
			root html;
		}

		error_page 500 502 503 504 /50x.html;
		location = /50x.html

		{
			root html;
		}
	}
}

rtmp

{
	server
	{
		listen 1935;
		chunk_size 4096;
		application live

		{
			live on;
			record off;
		}
	}
}